STRUCT DRM_CONNECTOR(9)

NAME
struct_drm_connector_state - mutable connector state

SYNOPSIS

struct drm_connector_state {
  struct drm_crtc * crtc;
  struct drm_encoder * best_encoder;
  struct drm_atomic_state * state;
};

MEMBERS

crtc
    CRTC to connect connector to, NULL if disabled

best_encoder
    can be used by helpers and drivers to select the encoder

state
    backpointer to global drm_atomic_state

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT